# yaml-language-server: $schema=https://squidfunk.github.io/mkdocs-material/schema.json

site_name: KH3Group IT Documentation
copyright: Copyright &copy; 2022 - 2024 Siisi Nketsiah

repo_url: https://git.kh3group.com/support/it-docs

docs_dir: docs 


theme:
  name: material
  palette:
    - scheme: defualt
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to dark mode
      primary: teal
      accent: purple
    - scheme: slate
      toggle:
        icon: material/toggle-switch
        name: Switch to light mode
      primary: teal
      accent: lime
  features:
    - content.code.annotate
    - content.code.copy
    - content.tabs.link
    - header.autohide
    - announce.dismiss
    - navigation.footer
    - navigation.indexes
    - navigation.instant
    - navigation.sections
    - navigation.tabs
    - navigation.tracking
    - search.highlight
    - search.share
    - search.suggest

markdown_extensions:
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
  - attr_list
  - admonition
  - pymdownx.details
  - pymdownx.snippets:
      check_paths: true
  - def_list
  - pymdownx.tasklist:
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true

nav:
  - Home: index.md
  - Hardware: 
      - Servers: 
          - hardware/servers/index.md
      - Network:
          - hardware/network/index.md
    #- hardware/index.md
  - Services:
    - Docker: services/docker/index.md
    - Droneci:
      - services/proxmox/index.md
      - services/proxmox/db01.md
      - services/proxmox/dc01.md
      - services/proxmox/pfsense.md
      - services/proxmox/pihole-lxc.md
      - services/proxmox/proxy-lxc.md
      - services/proxmox/sp01.md
    - services/index.md
  - Getting started:
    - getting-started/index.md
    - getting-started/user-onboarding.md
  - Concepts:
    - concepts/index.md
    - concepts/testing.md
  - How-to guides:
    - how-to-guides/index.md
    - how-to-guides/alternate-dns-setup.md
    - how-to-guides/expose-services-to-the-internet.md
    - how-to-guides/use-both-github-and-gitea.md
    - how-to-guides/updating-documentation.md
    - Troubleshooting:
      - how-to-guides/troubleshooting/index.md
      - how-to-guides/troubleshooting/gitea.md
  - Reference:
    - reference/index.md
    - Architecture:
      - reference/architecture/index.md
      - reference/architecture/overview.md
      - reference/architecture/networking.md
    - reference/license.mdy